Dos C6880-X-LE y un apagón de luz

Estas cosas suenan a película de terror … porque realmente lo son. Manda huevos que en el año 2022 aun andemos con problemas de luz en los datacenters (y para qué vamos a hablar de las salas de servidores improvisadas).

Al lio … resulta que tenemos un «sitio» con dos C6880-X-LE con VSS funcionando como campeones desde el año de carolo. Ayer, de repente … se va la luz y se reinician los dos (y algunas cosas más). Como siempre, en vez de llamar a los electricistas, nos llaman a nosotros (a mi en este caso). Como si yo pudiese hacer algo para recuperar la electricidad.

Llamo al sitio y se ponen con ello, como a los 20 minutos, vuelve la luz … entro a comprobar que todo está correcto y 5 minutos después se vuelve a ir …

De los dos cores … uno a tomar por culo (últimamente la electrónica de cisco deja mucho que desear, se rompen solo con mirarlos). Todo el mundo como si fueran lemmings en sus últimos 10 segundos de vida …

RMA al canto … 4 horas después (acojonante, 4 horas de las de verdad) llega un nuevo cacharro que no tuvimos huevos a echar a andar, se configuró y cuando reiniciaba se quedaba en un loop, se cambió de versión (downgrade para que fuera igual que la del otro) y lo mismo … se hizo un update (solo para ver si arrancaba, porque no sería la primera vez que nos mandan un cacharro roto). Nada … que no va.

A todo esto, ya llevábamos como 10 horas, había amanecido (otra vez) y los del soporte de cisco no hacían más que darnos largas. Se quedó en que lo iban a mirar y nos dirían algo lo antes posible, así que … a dormir un rato.

Después de pasar por 3 ingenieros, resulta que uno de ellos nos dice que el problema está en la versión del system bootstrap que no son iguales.

Uno de ellos está en 15.1(02)SY01 y el otro (el nuevo) en la 15.1(02r)SYS3.

Intentamos el downgrade (porque no podemos reiniciar el que está en producción) pero resulta que la versión 15.1(02)SY01 es tan vieja que no hay huevos a descargarla (vamos que la retiraron).

Así que, aquí estoy, después de haber dormido 8 horas en 3 días, leyendo sobre VSS, porque no consigo encontrar en ningún sitio que la versión del bootstrap afecte.

https://software.cisco.com/download/home/284855056/type/280805687/release/15.1(02r)SYS4
https://www.cisco.com/c/en/us/support/docs/switches/catalyst-6500-virtual-switching-system-1440/109573-vss-migration.html
https://blog.router-switch.com/2012/09/cisco-vss-configuration-cisco-catalyst-6500-virtual-switching-system/
https://blog.router-switch.com/2013/10/how-to-upgrade-cisco-4500-sup7-esup7l-e-rommon-to-support-vss/

¿A alguien le ha pasado?, ¿Algún documento?.

A ver cuando nos dejan actualizar el cacharro, porque ahora mismo sospecho que el pollo de cisco se ha ido de fin de semana tan tranquilo …

*** Actualización ***
Pues va a ser que si, actualizando la boot version

To Upgrade the ROMMON image via SSH, you need to :

Download the image from cisco website.
Copy the image from your TFTP server to the bootdisk
Remove the boot statement that you have, by:

switch(config)#No boot system
Configure the below new Boot systems, make sure to put the ROMMON boot statement firstly

Boot system flash bootdisk: c6880x_rm.bin.SPA.151-02r.SYS3
Boot system flash bootdisk: c6880x-ipservicesk9-mz.SPA.152-1.SY7.bin
5- Save the config.
6- Reload the switch.

Deja una respuesta

Tu dirección de correo electrónico no será publicada.

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.